Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200408-05 ] Opera: Multiple new vulnerabilities
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Moderator
Moderator


Joined: 13 Jun 2003
Posts: 4079
Location: Dresden, Germany

PostPosted: Thu Aug 05, 2004 9:43 pm    Post subject: [ GLSA 200408-05 ] Opera: Multiple new vulnerabilities Reply with quote

Gentoo Linux Security Advisory

Title: Opera: Multiple new vulnerabilities (GLSA 200408-05)
Severity: normal
Exploitable: remote
Date: August 05, 2004
Updated: December 30, 2007
Bug(s): #59503
ID: 200408-05

Synopsis

Several new vulnerabilities were found and fixed in Opera, including one allowing an attacker to read the local filesystem remotely.

Background

Opera is a multi-platform web browser.

Affected Packages

Package: www-client/opera
Vulnerable: <= 7.53
Unaffected: >= 7.54
Architectures: All supported architectures


Description

Multiple vulnerabilities have been found in the Opera web browser. Opera fails to deny write access to the "location" browser object. An attacker can overwrite methods in this object and gain script access to any page that uses one of these methods. Furthermore, access to file:// URLs is possible even from pages loaded using other protocols. Finally, spoofing a legitimate web page is still possible, despite the fixes announced in GLSA 200407-15.

Impact

By enticing an user to visit specially crafted web pages, an attacker can read files located on the victim's file system, read emails written or received by M2, Opera's mail program, steal cookies, spoof URLs, track user browsing history, etc.

Workaround

There is no known workaround at this time. All users are encouraged to upgrade to the latest available version.

Resolution

All Opera users should upgrade to the latest stable version:
Code:
# emerge sync
# emerge -pv ">=www-client/opera-7.54"
# emerge ">=www-client/opera-7.54"


References

Opera Changelog
Address bar spoofing issue disclosure
GreyMagic Security Advisory GM#008-OP
CVE-2004-2570


Last edited by GLSA on Mon Dec 31, 2007 4:16 am; edited 3 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum